package com.diaoyun.zion.chinafrica.service;

import com.diaoyun.zion.chinafrica.entity.TbCfExpTemKeywordEntity;

import java.util.List;
import java.util.Map;

/**
 * 运费模板关键字对应表Service接口
 *
 * @author lipengjun
 * @date 2019-09-16 15:22:46
 */
public interface TbCfExpTemKeywordService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    TbCfExpTemKeywordEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<TbCfExpTemKeywordEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param tbCfExpTemKeyword 实体
     * @return 保存条数
     */
    int save(TbCfExpTemKeywordEntity tbCfExpTemKeyword);

    /**
     * 根据主键更新实体
     *
     * @param tbCfExpTemKeyword 实体
     * @return 更新条数
     */
    int update(TbCfExpTemKeywordEntity tbCfExpTemKeyword);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
